Bug 17301 - Add callnumber to label-edit-batch.pl
[koha.git] / debian / scripts / koha-mysql
blob4a09e51c772f96718bc4225f6e5d6f4b94baf998
1 #!/bin/sh
3 # koha-mysql: provide an interactive mysql shell set up for the specified
4 # koha instance.
5 # Copyright 2011 Catalyst IT, Ltd
6 #
7 # This program is free software: you can redistribute it and/or modify
8 # it under the terms of the GNU General Public License as published by
9 # the Free Software Foundation, either version 3 of the License, or
10 # (at your option) any later version.
12 # This program is distributed in the hope that it will be useful,
13 # but WITHOUT ANY WARRANTY; without even the implied warranty of
14 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
15 # GNU General Public License for more details.
17 # You should have received a copy of the GNU General Public License
18 # along with this program. If not, see <http://www.gnu.org/licenses/>.
20 set -e
22 umask 0077
24 # include helper functions
25 if [ -f "/usr/share/koha/bin/koha-functions.sh" ]; then
26 . "/usr/share/koha/bin/koha-functions.sh"
27 else
28 echo "Error: /usr/share/koha/bin/koha-functions.sh not present." 1>&2
29 exit 1
32 usage()
34 local scriptname=$0
35 cat <<EOF
36 Run mysql in the context of a given Koha instance.
38 Usage: $scriptname instancename [ optional mysql arguments ]
40 EOF
43 # Parse command line.
44 [ $# -ge 1 ] || ( usage ; die "Missing instance name..." )
46 name="$1"
48 is_instance "$name" || ( usage; die "Unknown instance '$name'" )
50 shift # remove instance name from argument list.
51 kohaconfig="/etc/koha/sites/$name/koha-conf.xml"
53 mysqlhost="$( xmlstarlet sel -t -v 'yazgfs/config/hostname' $kohaconfig )"
54 mysqldb="$( xmlstarlet sel -t -v 'yazgfs/config/database' $kohaconfig )"
55 mysqluser="$( xmlstarlet sel -t -v 'yazgfs/config/user' $kohaconfig )"
56 mysqlpass="$( xmlstarlet sel -t -v 'yazgfs/config/pass' $kohaconfig )"
58 mysql --host="$mysqlhost" --user="$mysqluser" --password="$mysqlpass" \
59 "$mysqldb" "${@}"